# Developer Notes

## MBSE SDK Server Bootstrap Package v/s OIM version compatibility matrix

| SDK Server                                                                                                                                | OIM                | Remarks                                                                                                                                                                                                                                                                                                        |
| ----------------------------------------------------------------------------------------------------------------------------------------- | ------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [1.3.0](https://opshubtrial-my.sharepoint.com/:f:/g/personal/support_opshub_com/IgB2GwvZGsFzTb8G8eOLDsoHAVGOfcyUg0Z-XDYSNM-6ZdY?e=YQ7PWC) | >=7.224            | <ul><li>Added support for query-based filtering using name and GUID.</li><li>Redesigned the Element Types JSON configuration for improved structure and flexibility.</li><li>Enabled support for polling entities from the first revision.</li><li>Added support for Item Flow and reference fields.</li></ul> |
| [1.2.0](https://opshubtrial-my.sharepoint.com/:f:/g/personal/support_opshub_com/IgB2GwvZGsFzTb8G8eOLDsoHAVGOfcyUg0Z-XDYSNM-6ZdY?e=YQ7PWC) | >=7.218 and <7.224 | Support for Generalization and Usage relationship, along with renaming of realization relationship                                                                                                                                                                                                             |
| [1.1.0](https://opshubtrial-my.sharepoint.com/:f:/g/personal/support_opshub_com/IgASwZ7wO5lsQZXpQozVIq6kAUcbJWqBEpV5QEZxTJ4NlYk?e=p0Brbr) | >=7.218 and <7.224 | Batching and parallel processing implemented for getting list of elements on latest state and at given revision.                                                                                                                                                                                               |
| [1.0.0](https://opshubtrial-my.sharepoint.com/:f:/g/personal/support_opshub_com/IgB2GwvZGsFzTb8G8eOLDsoHAVGOfcyUg0Z-XDYSNM-6ZdY?e=YQ7PWC) | >=7.218 and <7.224 | <p>Initial Version.<br><br>OIM supports MBSE SDK connector registration from 7.218 onwards.</p>                                                                                                                                                                                                                |

***

## Developer Notes

### MBSE SDK Release 1.3.0

**Backward Compatible Changes**

* Added support for query-based filtering using name and GUID.
* Redesigned the element types json configuration for improved structure and flexibily.
* Enabled support for polling entities from first revision.
* Added support for item flow and reference fields.

**Breaking API changes**

* Added parameters for the branchName and branchDescription in the EmfBranchClient.
* Added deleteElements and bulkUpsertElements method in the EmfElementClient.

### MBSE SDK Release 1.2.0

**Backward Compatible Changes**

* Added support for Generalization and Usage Relationship.
* Renaming for the realization link

### MBSE SDK Release 1.1.0

**Backward Compatible Changes**

* Added support for Java 25.
* Batching and parallel processing implemented for 'Get elements at revision' and 'Get elements' methods.

### MBSE SDK Release 1.0.0

#### First Release of MBSE SDK Server Bootstrap Package


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.opshub.com/v7.225/mbse-connector-sdk-index/developer-notes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
